summaryrefslogtreecommitdiff
path: root/debian/tests/run-tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/run-tests')
-rw-r--r--debian/tests/run-tests25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 000000000..495f7edff
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -e build/CMakeCache.txt ]; then
+ mkdir build || true
+ ( cd build && cmake .. )
+fi
+
+make -C build/test/interactive-helper
+
+# run tests against the installed apt, use "env -i" to ensure
+# the host env does not pollute our environment
+env -i \
+APT_INTEGRATION_TESTS_SOURCE_DIR=$(pwd) \
+APT_INTEGRATION_TESTS_HELPERS_BIN_DIR=$(pwd)/build/test/interactive-helper \
+APT_INTEGRATION_TESTS_METHODS_DIR=/usr/lib/apt/methods \
+APT_INTEGRATION_TESTS_LIBEXEC_DIR=/usr/lib/apt/ \
+APT_INTEGRATION_TESTS_INTERNAL_SOLVER=/usr/lib/apt/solvers/apt \
+APT_INTEGRATION_TESTS_DUMP_SOLVER=/usr/lib/apt/solvers/dump \
+APT_INTEGRATION_TESTS_INTERNAL_PLANNER=/usr/lib/apt/planners/apt \
+APT_INTEGRATION_TESTS_BUILD_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_FTPARCHIVE_BIN_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_LIBRARY_PATH=/dev/null/does/not/exist \
+./test/integration/run-tests -q